Skip to main content
GET
List Benefit Grants

Authorizations

Authorization
string
header
required

Authentication: Customer session tokens authenticate buyers within your organization. Generate one through the customer session operation.

Query Parameters

query
string | null

Return only records matching benefit description.

type

Return only records matching benefit type.

Available options:
custom,
discord,
github_repository,
downloadables,
license_keys,
meter_credit,
feature_flag,
slack_shared_channel
benefit_id

Return only records matching benefit ID.

checkout_id

Return only records matching checkout ID.

order_id

Return only records matching order ID. Identifier of the order.

subscription_id

Return only records matching subscription ID. Identifier of the subscription.

member_id

Return only records matching member ID.

page
integer
default:1

Results page to return. The first page is used by default.

limit
integer
default:10

Records returned per page. Defaults to 10 and accepts up to 100.

sorting
enum<string>[] | null

Sort rules applied from left to right. Prefix any rule with - to reverse it into descending order.

Available options:
granted_at,
-granted_at,
type,
-type,
organization,
-organization,
product_benefit,
-product_benefit

Response

Request completed successfully

items
(CustomerBenefitGrantDiscord · object | CustomerBenefitGrantGitHubRepository · object | CustomerBenefitGrantDownloadables · object | CustomerBenefitGrantLicenseKeys · object | CustomerBenefitGrantCustom · object | CustomerBenefitGrantMeterCredit · object | CustomerBenefitGrantFeatureFlag · object | CustomerBenefitGrantSlackSharedChannel · object)[]
required
pagination
Pagination · object
required